Bug 1130648 - Enhance distributed iterator to allow filter and converter to be executed in the same step/invocation
Summary: Enhance distributed iterator to allow filter and converter to be executed in ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.1,6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 18:54 UTC by William Burns
Modified: 2015-01-26 14:04 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1139631 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:04:13 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4640 Major Resolved Enhance distributed iterator to allow filter and converter to be executed in the same step/invocation 2014-09-09 11:56:26 UTC

Description William Burns 2014-08-15 18:54:51 UTC
Description of problem:

Distributed iterator can allow for a composite operation of the filter and converter in one.  this can be beneficial especially for index-less querying.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Adrian Nistor 2014-08-18 12:34:34 UTC
Integrated in jdg-6.3.x

Comment 3 Adrian Nistor 2014-08-18 13:32:59 UTC
Integrated in jdg-6.4.x

Comment 4 Jakub Markos 2014-08-28 10:16:35 UTC
Verified for 6.3.1.


Note You need to log in before you can comment on or make changes to this bug.